from fastapi import APIRouter, HTTPException
from typing import Dict, Optional

from reviewsense.api.schemas.UserMessage import UserMessage
from reviewsense.api.schemas.product_review_input import ProductReviewInput
from reviewsense.services.BotService import BotService
from reviewsense.services.ReviewService import ReviewService


router = APIRouter()
review_service = ReviewService()

@router.post("/calculate_ratings/", response_model=Dict[str, Optional[float]])


@router.post("/chat")
async def chat(user_message: UserMessage):
    """
    Endpoint to handle user messages and return chatbot responses.
    """
    if not user_message.message:
        raise HTTPException(status_code=400, detail="Message cannot be empty")
    bot_service = BotService()

    # Handle a query
    response = bot_service.handle_user_query(user_message.message)

    # Or use individual components
    return {"response": response}
